package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDItemMapper;
import com.sa.ibiz.demo.demo.domain.TSSDItem;
import com.sa.ibiz.demo.demo.service.TSSDItemService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDItemSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[TSSDItem] 服务对象接口实现
 */
@Service
public class TSSDItemServiceImpl extends ServiceImplBase<TSSDItemMapper, TSSDItem> implements TSSDItemService{


    @Resource
    private TSSDItemMapper tssditemMapper;


    @Override
    public boolean create(TSSDItem et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDItem et){
        this.beforeUpdate(et);
		this.tssditemMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDItem et){
		return et.getTssditemid();  
    }

    @Override
    public boolean getDraft(TSSDItem et)  {
            return true;
    }

	public List<TSSDItem> listDefault(TSSDItemSearchFilter filter) {
		return tssditemMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDItem> searchDefault(TSSDItemSearchFilter filter) {
		return tssditemMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssditemMapper.selectRow(sql);
    }

 }